NX Open C++ Reference Guide
|
Represents a builder to be used to create manufacturing geometry. More...
Public Member Functions | |
void | CreateNewSubNode (int selNode) |
Create a new sub node. | |
NXOpen::ScCollector * | Face () |
Returns the face to use as the region faces of the geometry groups. | |
int | GetFaceColor () |
Returns the face color. | |
void | InitializeContent (int initializeWay) |
Sets the initialize content. | |
void | InitializeGeometry () |
Sets the initialize geometry. | |
void | SetFaceColor (int faceColor) |
Sets the face color. | |
void | SetTranslucency (int translucency) |
Sets the translucency to specify the group faces display. | |
int | Translucency () |
Returns the translucency to specify the group faces display. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a builder to be used to create manufacturing geometry.
To create a new instance of this class, use Tooling::ManufacturingGeometryCollection::CreateBuilder
Default values.
Property | Value |
---|---|
Translucency |
0 |
Created in NX8.0.0.
void NXOpen::Tooling::ManufacturingGeometryBuilder::CreateNewSubNode | ( | int | selNode | ) |
Create a new sub node.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR die_engineering ("DIE ENGINEERING") OR ug_die_design ("Die Design") OR nx_electrode_wizard ("NX Electrode Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
selNode | The tree new created sub node |
NXOpen::ScCollector* NXOpen::Tooling::ManufacturingGeometryBuilder::Face | ( | ) |
Returns the face to use as the region faces of the geometry groups.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR die_engineering ("DIE ENGINEERING") OR ug_die_design ("Die Design") OR nx_electrode_wizard ("NX Electrode Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
int NXOpen::Tooling::ManufacturingGeometryBuilder::GetFaceColor | ( | ) |
Returns the face color.
void NXOpen::Tooling::ManufacturingGeometryBuilder::InitializeContent | ( | int | initializeWay | ) |
Sets the initialize content.
Parameter initialize_way indicate the different invoke entry initialize_way == 0 : Run from Electrode Design Wizard initialize_way == 1 : Run from Progressive Die Wizard initialize_way == 2 : Run from Mold Wizard initialize_way == 3 : Run from Die Design initialize_way == 4 : Run from Engineering Die Wizard.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR die_engineering ("DIE ENGINEERING") OR ug_die_design ("Die Design") OR nx_electrode_wizard ("NX Electrode Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
initializeWay | initialize way |
void NXOpen::Tooling::ManufacturingGeometryBuilder::InitializeGeometry | ( | ) |
Sets the initialize geometry.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR die_engineering ("DIE ENGINEERING") OR ug_die_design ("Die Design") OR nx_electrode_wizard ("NX Electrode Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
void NXOpen::Tooling::ManufacturingGeometryBuilder::SetFaceColor | ( | int | faceColor | ) |
Sets the face color.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR die_engineering ("DIE ENGINEERING") OR ug_die_design ("Die Design") OR nx_electrode_wizard ("NX Electrode Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
faceColor | facecolor |
void NXOpen::Tooling::ManufacturingGeometryBuilder::SetTranslucency | ( | int | translucency | ) |
Sets the translucency to specify the group faces display.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR die_engineering ("DIE ENGINEERING") OR ug_die_design ("Die Design") OR nx_electrode_wizard ("NX Electrode Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
translucency | translucency |
int NXOpen::Tooling::ManufacturingGeometryBuilder::Translucency | ( | ) |
Returns the translucency to specify the group faces display.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR die_engineering ("DIE ENGINEERING") OR ug_die_design ("Die Design") OR nx_electrode_wizard ("NX Electrode Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")